#ifndef _NILE_H_
#define _NILE_H_

struct NiLe_interface
{
	int region;
	int mixing_level[2];		/* volume */
};

extern UINT16 *nile_sound_regs;

int  nile_sh_start( const struct MachineSound *msound );
void nile_sh_stop( void );

WRITE16_HANDLER(nile_snd_w);
READ16_HANDLER(nile_snd_r);
WRITE16_HANDLER(nile_sndctrl_w);
READ16_HANDLER(nile_sndctrl_r);

#endif

